import './card-proj.css';
import {DownOutlined, EditOutlined, SearchOutlined, EyeOutlined, FolderOutlined} from '@ant-design/icons';
import {MenuProps} from 'antd';
import {Dropdown, Space} from 'antd';

const items: MenuProps['items'] = [
    {
        key: '1',
        label: (
            <a target="_blank" rel="noopener noreferrer" href="https://www.antgroup.com">
                1st menu item
            </a>
        ),
    },
];

export default function CardProj() {
    return (
        <div className="card-proj">
            <div className="title">
                <div className="left">
                    <a href="/#">项目名称</a>
                </div>
                <div className="right">
                    <span className="context">上下文：SDFSDF</span>
                    <span className="status">未生成</span>
                    <span className="date">2024-03-02 11:15:35</span>
                </div>
            </div>
            <hr/>
            <div className="body">
                <div className="line">
                    <div className="left">
                        <span>金额￥：500</span>
                    </div>
                    <div className="right">
                        <span>
                            <EditOutlined/>
                            <a href="/#">编辑</a>
                        </span>
                        <span>
                            <SearchOutlined/>
                            <a href="/#">查看</a>
                        </span>
                        <span>
                            <EyeOutlined/>
                            <a href="/#">预览</a>
                        </span>
                    </div>
                </div>
                <div className="line">
                    <div className="left">
                        <span>
                            <Dropdown menu={{items}}>
                                <a onClick={(e) => e.preventDefault()}>
                                <Space> 功能管理 <DownOutlined/></Space>
                                </a>
                            </Dropdown>
                        </span>
                        <span>
                            <Dropdown menu={{items}}>
                                <a onClick={(e) => e.preventDefault()}>
                                <Space> 资料下载 <DownOutlined/></Space>
                                </a>
                            </Dropdown>
                        </span>
                    </div>
                    <div className="right">
                        <span>
                            <FolderOutlined />
                            <a href="/#">目录</a>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    )
}