import './head.css'
import Dropdown from '../../components/dropdown/Dropdown.tsx';
import BalanceHead from '../../components/balance/BalanceHead.tsx';
import RechargeHead from '../../components/recharge/RechargeHead.tsx';
import MessageHead from '../../components/message/MessageHead.tsx';

export default function Head() {
    const logo: string = 'vite.svg';
    return (
        <div className="head">
            <div className="center">
                <div className="left">
                    <img src={logo} className="logo" alt="加载失败"/>
                    <span className="sys-title">AI软件著作权管理系统</span>
                </div>
                <div className="right">
                    <BalanceHead/>
                    <RechargeHead/>
                    <MessageHead/>
                    <Dropdown
                        title={'您好：18000000000'}
                        list={[
                            {
                                id: 'userinfo',
                                name: '个人信息',
                            },
                            {
                                id: 'changePass',
                                name: '修改密码'
                            },
                            {
                                id: 'logout',
                                name: '退出系统'
                            }
                        ]}
                        handle={
                            (_e, _index, item) => {

                                console.log(item.name)
                            }
                        }
                    />
                </div>
            </div>
        </div>
    )
}
